Skip to content

Contracts

All operations require authentication.

4 operationsv1/me/agreements
Agent setup

List of contracts signed between you and OVHProduction

GET
/1.0/me/agreements

Query parameters

agreed
AgreementStateEnum

Filter the value of agreed property (like)

Valueskoobsoleteoktodo
contractId
integer

Filter the value of contractId property (like)

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/agreements \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/me/agreements/{id}

Path parameters

id
required
integer

Id of the contract

Response

200ContractAgreementsuccessful operation
agreed
read-only
AgreementStateEnum

State of the agreement

Valueskoobsoleteoktodo
contractId
read-only
integer

Id of the agreed contract

date
read-only
stringdate-time

Date the agreed contract was effective

id
read-only
integer

Id of the contract

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/agreements/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agreed": "ko", "contractId": 0, "date": "2024-01-01T12:00:00Z", "id": 0}

Accept this contractProduction

POST
/1.0/me/agreements/{id}/accept

Path parameters

id
required
integer

Id of the contract

Response

200stringsuccessful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/agreements/{id}/accept \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get this object propertiesProduction

GET
/1.0/me/agreements/{id}/contract

Path parameters

id
required
integer

Id of the contract

Response

200Contractsuccessful operation
active
read-only
boolean

Is this contract currently active or not ?

date
read-only
stringdate

Date the contract was created on

name
read-only
string

Name of of the contract

pdf
read-only
string

URL you can download the contract at

text
read-only
string

Full text of the contract

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/agreements/{id}/contract \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "date": "2024-01-01", "name": "string", "pdf": "string", "text": "string"}